<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$listaUbicacionesUnicas=array();
foreach($_SESSION['listaUbicaciones'] as $ubicacion) {
	
	if($ubicacion['UbicacionAlias']) $nombreUbicacion=$ubicacion['UbicacionAlias']; else $nombreUbicacion=$ubicacion['Ubicacion'];
	$listaUbicacionesUnicas[ $nombreUbicacion ]['Stock'] = $listaUbicacionesUnicas[ $nombreUbicacion ]['Stock'] + $ubicacion['Stock'];
	$listaUbicacionesUnicas[ $nombreUbicacion ]['StockCajas'] = $listaUbicacionesUnicas[ $nombreUbicacion ]['StockCajas'] + $ubicacion['StockCajas'];
}

?>
<p>Todas las ubicaciones<br />con este producto:</p>
<table class="tablaFormateada">
<tr>
	<th>Ubicación</th>
    <th>Stock</th>
    <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
</tr>
<?php
foreach($listaUbicacionesUnicas as $ubicacion=>$valores) {
	?>
	<tr>
		<td><?php echo $ubicacion; ?></td>
        <td align="right"><?php echo number_format($valores['Stock'],0,',','.'); ?></td>
		<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($valores['StockCajas'],0,',','.'); ?></td><?php } ?>
	</tr>
	<?php
}
?>
</table>
<p><input type="submit" name="aceptarBusquedaContenedores" id="aceptarBusquedaContenedores" value="Aceptar" class="boton botonSecundario"/></p>
<script>

$(document).ready(function() {

	$('#aceptarBusquedaContenedores').on('click',function(e){
		e.preventDefault();
		$('#popupBusquedaContenido').html('');
		$('#popupBusqueda').hide();
		$('#ubicacion').focus();
	});
	
});

</script>